# ECUtils Documentation

Welcome to the ECUtils documentation. ECUtils is a Python package that provides utilities for working with elliptic curves, enabling encoding/decoding, digital signatures, and key exchange protocols.

## Contents

- [Installation](installation.md)
- [Usage](usage.md)
- [Core Components](core/)
  - [Point](core/point.md)
  - [Elliptic Curve](core/elliptic_curve.md)
- [Algorithms](algorithms/)
  - [Koblitz](algorithms/koblitz.md)
  - [Digital Signature](algorithms/digital_signature.md)
- [Protocols](protocols/)
  - [Diffie-Hellman](protocols/diffie_hellman.md)
  - [Massey-Omura](protocols/massey_omura.md)
- [Reference](reference/)
  - [Curves](reference/curves.md)